<ul class="breadcrumbs">
  <li>
    <a [routerLink]="['/']">Home</a>
  </li>
  <li>Users</li>
</ul>
<div class="spinner" *ngIf="!isLoaded"></div>
<div id="container" *ngIf="isLoaded">
  <div class="my-card">
    <div class="my-card-header">
      <h1 class="my-card-title">LISTE DES UTILISATEURES</h1>
    </div>
    <div class="clearfix mb20">
      <a class="pull-right myCustomButton" [routerLink]="['/user/new']">
        <i class="fa fa-plus" aria-hidden="true"></i> </a>
    </div>
    
    <div class="example-container mat-elevation-z8">
      <mat-table #table [dataSource]="dataSource" matSort>

        <ng-container matColumnDef="email">
          <mat-header-cell *matHeaderCellDef mat-sort-header> Email </mat-header-cell>
          <mat-cell *matCellDef="let element"> {{element.email}} </mat-cell>
        </ng-container>

        <ng-container matColumnDef="firstname">
          <mat-header-cell *matHeaderCellDef mat-sort-header> Nom et Prénom </mat-header-cell>
          <mat-cell *matCellDef="let element"> {{element.firstname}} {{element.lastname}} </mat-cell>
        </ng-container>

        <ng-container matColumnDef="roles">
          <mat-header-cell *matHeaderCellDef> Roles </mat-header-cell>
          <mat-cell *matCellDef="let element">
            <p *ngFor="let auth of element.authorities">
              {{authEnum[auth.name]}}
            </p>
          </mat-cell>
        </ng-container>

        <ng-container matColumnDef="action">
          <mat-header-cell *matHeaderCellDef> Action </mat-header-cell>
          <mat-cell *matCellDef="let element">
            <a [routerLink]="['/user/edit',element.id]">
              <i class="fa fa-pencil-square-o" aria-hidden="true"></i>
            </a>
            <button title="delete" (click)="remove(element.id)" class="no-style red">
              <i class="fa fa-trash" aria-hidden="true"></i>
            </button>
          </mat-cell>
        </ng-container>

        <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
        <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
      </mat-table>

      <mat-paginator #paginatoruser [pageSize]="10" [pageSizeOptions]="[5, 10, 20]" [showFirstLastButtons]="true">
      </mat-paginator>
    </div>
  </div>
</div>